PKG-VERSION(8)

NAME
pkg version - summarize installed versions of packages

SYNOPSIS
pkg version [-IPR] [-hoqv] [-l limchar] [-L limchar] [-Xxge pattern] [-r reponame] [-O origin] [index]
pkg version -t version1 version2
pkg version -T <pkgname> <pattern>

DESCRIPTION
pkg version is used for generating a report of packages installed by pkg(8).

By default, if a ports tree exists it is used to compare versions. If it does not exist, the remote repository catalogue is used. These defaults can be overridden by specifying one of -P, -R or -I.

When comparing package versions the package name and a comparison character are printed:

=   The installed version of the package is current.

<   The installed version of the package is older than the current version.

>   The installed version of the package is newer than the current version. This situation can arise with an out-of-date index file, or when testing new ports.

?   The installed package does not appear in the index. This could be due to an out of date index or a package taken from a PR that has not yet been committed.

!   The installed package exists in the index but for some reason, pkg version was unable to compare the version number of the installed package with the corresponding entry in the index.

OPTIONS
The following options are supported by pkg version:

-h  Displays usage information

-I  Use INDEX file for determining if a package is out of date.

-P  Use ports for determining if a package is out of date. This is the default if a ports tree exists. The tree used can be overridden by PORTSDIR, see pkg(5) for more information.

-R  Use repository catalogue for determining if a package is out of date. This is the default if no ports tree exists.

-r reponame
    Use the given reponame for comparison when using -R

-o  Display package origin, instead of package name.

-q  Be quiet. Less output will be produced.

-v  Be verbose.

-l limchar
    Display only the packages which status flag matches the one specified by limchar

-L limchar
    Does the opposite of -l flag. Displays the packages which status flag does not match the one specified by limchar

-X pattern
    Only display the packages that match the extended regular expression.

-x pattern
    Only display the packages that match the regular expression.

-g pattern
    Only display the packages that match the glob expression.

-g string
    Only display the packages that exactly match the string.

-O origin
    Display only the packages which origin matches origin

-t <version1> <version2>
    Test a pair of version number strings and exit. The output consists of one of the single characters = (equal), < (right-hand number greater), or > (left-hand number greater) on standard output. This flag is mostly useful for scripts or for testing.

-T <pkgname> <pattern>
    Compare <pkgname> against shell glob <pattern> and set exit code accordingly. -T can also be used in `filter mode': When one of the arguments is `-', standard input is used, and lines with matching package names/patterns are echoed to standard output.

ENVIRONMENT
The following environment variables affect the execution of pkg version. See pkg.conf(5) for further description.

PKG_DBDIR

PORTSDIR

FILES
See pkg.conf(5).

EXAMPLES
The following is a typical invocation of the pkg version command, which checks the installed packages against the local ports index file:

    % pkg version -v

The command below generates a report against the versions in the repository catalogue:

    % pkg update
    % pkg version -vR

The following lists packages needing upgrade, compared to the repository catalogue:

    % pkg update
    % pkg version -vRL=

The following command compares two package version strings:

    % pkg version -t 1.5 1.5.1

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-which(8)